View wallet activity
curl --request GET \
--url https://dashboard.launchpointhq.com/api/v1/payouts \
--header 'x-api-key: <api-key>'import requests
url = "https://dashboard.launchpointhq.com/api/v1/payouts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://dashboard.launchpointhq.com/api/v1/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"amount": 123,
"type": "credit",
"balanceAfter": 123,
"description": "<string>",
"status": "confirmed",
"contractId": "<string>",
"creatorId": "<string>",
"creatorName": "<string>",
"creatorProfileImageUrl": "<string>",
"programId": "<string>",
"createdAt": 123
}
],
"page": 123,
"total": 123,
"summary": {
"totalCredits": 123,
"totalDebits": 123,
"confirmedCount": 123,
"pendingCount": 123,
"failedCount": 123
}
}Payouts
View wallet activity
Read-only view of your company’s wallet ledger entries.
The ledger lists wallet credits and debits, including:
- Payouts to creators
- Adjustments
- Refunds
Note: The API does not support executing payouts for security reasons.
GET
/
payouts
View wallet activity
Authorizations
API key created in Dashboard → Settings → Developer
Query Parameters
Required range:
x <= 200Narrow results to a creator
Narrow results to a contract
Narrow results by transaction status
Available options:
confirmed, pending, failed Narrow results by description (e.g., "payout", "adjustment")